gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-wallet-core] branch master updated (09b8d7ada -> 47b9bcb44)


From: gnunet
Subject: [taler-wallet-core] branch master updated (09b8d7ada -> 47b9bcb44)
Date: Mon, 15 Jan 2024 20:36:42 +0100

This is an automated email from the git hooks/post-receive script.

devan-carpenter pushed a change to branch master
in repository wallet-core.

    from 09b8d7ada -cleanup
     new cf610308e ci: add packaging dependencies
     new 47b9bcb44 ci: add debian package job for taler-wallet-cli

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 contrib/ci/Containerfile                 | 21 +++++++++++++-------
 contrib/ci/jobs/3-deb-package/job.sh     | 33 ++++++++++++++++++++++++++++++++
 contrib/ci/jobs/3-deb-package/version.sh | 17 ++++++++++++++++
 3 files changed, 64 insertions(+), 7 deletions(-)
 create mode 100755 contrib/ci/jobs/3-deb-package/job.sh
 create mode 100755 contrib/ci/jobs/3-deb-package/version.sh

diff --git a/contrib/ci/Containerfile b/contrib/ci/Containerfile
index 39bd740a9..a9da11ae8 100644
--- a/contrib/ci/Containerfile
+++ b/contrib/ci/Containerfile
@@ -4,13 +4,20 @@ ENV DEBIAN_FRONTEND=noninteractive
 
 RUN apt-get update -yq && \
     apt-get install -yqq \
-                git \
-               python3 \
-                codespell \
-               python3-distutils \
-               make \
-               zip \
-               jq
+                   git \
+                  python3 \
+                   codespell \
+                  python3-distutils \
+                  make \
+                  zip \
+                  jq \
+                   # Debian packaging tools \
+                   po-debconf \
+                   build-essential \
+                   debhelper-compat \
+                   devscripts \
+                  git-buildpackage \
+    && rm -rf /var/lib/apt/lists/*
 
 RUN npm install -g pnpm
 
diff --git a/contrib/ci/jobs/3-deb-package/job.sh 
b/contrib/ci/jobs/3-deb-package/job.sh
new file mode 100755
index 000000000..1bd7f80a2
--- /dev/null
+++ b/contrib/ci/jobs/3-deb-package/job.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -exuo pipefail
+# This file is in the public domain.
+# Helper script to build the latest DEB packages in the container.
+
+
+unset LD_LIBRARY_PATH
+
+# gbp wants the debian directory in the root of the git repo
+# so we symlink in the debian directory for the package we want to create
+rm -f ./debian # in case we already have a symlink there
+ln -s packages/taler-wallet-cli/debian .
+
+# Change to our package directory
+cd packages/taler-wallet-cli
+
+# Install build-time dependencies.
+# Update apt cache first
+apt-get update
+apt-get upgrade -y
+mk-build-deps --install --tool='apt-get -o Debug::pkgProblemResolver=yes 
--no-install-recommends --yes' debian/control
+
+export VERSION="$(./contrib/ci/jobs/3-deb-package/version.sh)"
+echo "Building package version ${VERSION}"
+
+EMAIL=none gbp dch --ignore-branch --debian-tag="%(version)s" --git-author 
--new-version="${VERSION}"
+echo "Current PWD is $PWD"
+./configure --prefix=$HOME/local/
+dpkg-buildpackage -rfakeroot -b -uc -us
+
+ls -alh ../*.deb
+mkdir -p /artifacts/wallet-core/${CI_COMMIT_REF} # Variable comes from CI 
environment
+mv ../*.deb /artifacts/wallet-core/${CI_COMMIT_REF}/
diff --git a/contrib/ci/jobs/3-deb-package/version.sh 
b/contrib/ci/jobs/3-deb-package/version.sh
new file mode 100755
index 000000000..d2647785e
--- /dev/null
+++ b/contrib/ci/jobs/3-deb-package/version.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -ex
+
+BRANCH=$(git name-rev --name-only HEAD)
+if [ -z "${BRANCH}" ]; then
+       exit 1
+else
+        # "Unshallow" our checkout, but only our current branch, and exclude 
the submodules.
+       git fetch --no-recurse-submodules --tags --depth=1000 origin "${BRANCH}"
+       RECENT_VERSION_TAG=$(git describe --tags --match 'v*.*.*' --always 
--abbrev=0 HEAD || exit 1)
+       commits="$(git rev-list ${RECENT_VERSION_TAG}..HEAD --count)"
+       if [ "${commits}" = "0" ]; then
+               git describe --tag HEAD || exit 1
+       else
+               echo $(echo ${RECENT_VERSION_TAG} | sed -r 
's/^v//')-${commits}-$(git rev-parse --short=8 HEAD)
+       fi
+fi

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]